describe('WorkerList', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/worker/list');
    });

    it('should load workers', () => {
        cy.get('.list-items > .vn-label-value:nth-child(2) > .value')
            .eq(0)
            .should('have.text', 'JessicaJones');
        cy.get('.list-items > .vn-label-value:nth-child(2) > .value')
            .eq(1)
            .should('have.text', 'BruceBanner');
        cy.get('.list-items > .vn-label-value:nth-child(2) > .value')
            .eq(2)
            .should('have.text', 'CharlesXavier');
    });

    it('should open the worker summary', () => {
        cy.get('.card-list-body .actions .q-btn:nth-child(2)').eq(0).click();
        cy.get('.summaryHeader div').should('have.text', '1110 - Jessica Jones');
        cy.get('.summary .header').eq(0).invoke('text').should('include', 'Basic data');
        cy.get('.summary .header').eq(1).should('have.text', 'User data');
    });
});
